Subject: Command line length limit
From: [email-masked] (Martyn J. Pearce)

25 Nov 1997 21:10:12 -0800
Message-ID: <[email-masked]>
References: <c=GB%a=_%p=Datafit.%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Mark Johnson <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

Mark Johnson writes:
| I happen to have a makefile where a target has several hundred 
| dependencies (it is a zipfile).
| 
| Unfortunately the win32 make reports an execvp error when attempting 
| to exec the shell, either bash or cmd.exe, with the dependency list or 
| export the dependency list as an environment variable.
| 
| Any other possible workaround would also be appreciated. I have tried 
| echoing to a tempfile or the environment, then invoking zip to read 
| from the appropriate source but with no success.

I think that xargs may be what you're after --- it's part of the
standard gnuwin32 package.  It takes a bundle of arguments, a command,
and repeats the command on sized chunks of those arguments, e.g., twenty
at a time.

Mx.

--------------------------------

Jyra Research
Hemel Hempstead
England

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".